package a3test.etc;

import jp.sourceforge.acerola3d.a3.*;

public class UpdateIntervalTest {
    public static void main(String args[]) throws Exception {
        A3Window w = new A3Window(300,300);
        Action3D a3 = new Action3D("x-res:///axis.a3");
        a3.setEnableBehavior(true);
        w.add(a3);
        while (true) {
            w.setUpdateInterval(30);
            a3.setLoc(1.0,0.0,0.0);
            Thread.sleep(1000);
            a3.setLoc(-1.0,0.0,0.0);
            Thread.sleep(1000);
            w.setUpdateInterval(300);
            a3.setLoc(1.0,0.0,0.0);
            Thread.sleep(1000);
            a3.setLoc(-1.0,0.0,0.0);
            Thread.sleep(1000);
        }
    }
}
